# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178169990293130/archspec-feedstock/recipe, last modified Wed Jun 17 13:35:51 2026
# ------------------------------------------------

package:
  name: archspec
  version: 0.2.6
source:
  url: https://pypi.org/packages/source/a/archspec/archspec-0.2.6.tar.gz
  sha256: 2ea980955530499865225eff917b649b39fd014b53f8c6461b6348c1d8b866f1
build:
  number: '0'
  entry_points:
    - archspec = archspec.cli:main
  script: /home/task_178169990293130/croot/archspec_1781703373809/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.1 h7354ed3_0
    - libffi 3.4.8 h06d3fd0_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.2 h47b2149_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - pip 26.1.1 pyh0d26453_1
    - poetry-core 2.2.0 py314h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.53.2 h795bf6d_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026b he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  imports:
    - archspec
    - archspec.cpu
  commands:
    - pip check
    - archspec --help
  requires:
    - pip
about:
  home: https://pypi.org/project/archspec
  summary: A library to query system architecture
  description: A library to query system architecture
  license: MIT OR Apache-2.0
  license_file:
    - LICENSE-APACHE
    - LICENSE-MIT
  dev_url: https://github.com/archspec/archspec
  doc_url: https://archspec.readthedocs.io
extra:
  recipe-maintainers:
    - anthchirp
    - isuruf
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/archspec-feedstock
  sha: 2afc75fcf9e82a06c31d35dec3be7e0141f381e9
  task_id: CtjSy9OjQxqk8PNnbjM0Ag
  task_run_id: '0'
  pbp_graph_uuid: 17c9cb90-5a7a-4b42-a5b8-339c0a5e0ae9
